cutlass::reference::detail Namespace Reference

## Classes

struct | Cast
struct | Cast< float, int8_t >
struct | Cast< float, uint8_t >

## Functions

template<typename Atype , typename Btype , typename Ctype >
CUTLASS_HOST_DEVICE Ctype | inner_product (Atype a, Btype b, Ctype c)
| Template function to compute an inner product. More...
template<>
CUTLASS_HOST_DEVICE int | inner_product< Array< bin1_t, 32 >, Array< bin1_t, 32 >, int > (Array< bin1_t, 32 > a, Array< bin1_t, 32 > b, int c)
| Specialization for matrix multiplication with binary operands. More...

## Function Documentation

template<typename Atype , typename Btype , typename Ctype >

CUTLASS_HOST_DEVICE Ctype cutlass::reference::detail::inner_product | ( | Atype | a,
|  | Btype | b,
|  | Ctype | c
| ) |  |

template<>

CUTLASS_HOST_DEVICE int cutlass::reference::detail::inner_product< Array< bin1_t, 32 >, Array< bin1_t, 32 >, int > | ( | Array< bin1_t, 32 > | a,
|  | Array< bin1_t, 32 > | b,
|  | int | c
| ) |  |